"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.replaceConfigVariables = exports.punctuate = exports.events = void 0;
const node_events_1 = require("node:events");
const node_os_1 = require("node:os");
exports.events = new node_events_1.EventEmitter();
function punctuate(description) {
    if (!description)
        return description;
    const lines = description.split(node_os_1.EOL);
    let mainDescription = lines[0];
    mainDescription = mainDescription.charAt(0).toUpperCase() + mainDescription.substring(1);
    if (!mainDescription.endsWith('.')) {
        mainDescription += '.';
    }
    return mainDescription;
}
exports.punctuate = punctuate;
const replaceConfigVariables = (text, bin, id) => text.replace(/<%= config.bin %>/g, bin ?? 'unknown').replace(/<%= command.id %>/g, id);
exports.replaceConfigVariables = replaceConfigVariables;
//# sourceMappingURL=utils.js.map